Notifications
All operations require authentication.
Retrieve every email sent to youProduction
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ notification/ email/ history \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Retrieve information about an emailProduction
Path parameters
Id
Response
Content of the email
Date at which the email was sent
ID of the email notification
Subject of the email
Example uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ notification/ email/ history/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "body": "string", "date": "2024-01-01T12:00:00Z", "id": 0, "subject": "string"}
Retrieve every contact meanProduction
Headers
Pagination cursor
Pagination size
Response
Date at which the contact mean was created
Task to do on this contact mean
Is this the default contact mean
Arbitrary description for this contact mean
When type is EMAIL, the email address this contact mean uses
When status is ERROR, details about the error
Unique identifier of the contact mean
Status of the contact mean
DISABLEDERRORTO_VALIDATEVALIDType of the contact mean
EMAILReads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v2/ notification/ contactMean \
-H "authorization: Bearer $OVH_TOKEN"[ { "createdAt": "2024-01-01T12:00:00Z", "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "default": true, "description": "string", "email": "string", "error": "string", "id": "00000000-0000-0000-0000-000000000000", "status": "DISABLED", "type": "EMAIL" }]
Create a contact meanProduction
Request body (required)
Arbitrary description for this contact mean
When type is EMAIL, the email address that will be used
Type of the contact mean to create
EMAILResponse
Date at which the contact mean was created
Task to do on this contact mean
Is this the default contact mean
Arbitrary description for this contact mean
When type is EMAIL, the email address this contact mean uses
When status is ERROR, details about the error
Unique identifier of the contact mean
Status of the contact mean
DISABLEDERRORTO_VALIDATEVALIDType of the contact mean
EMAILReads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v2/ notification/ contactMean \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "default": true, "description": "string", "email": "string", "error": "string", "id": "00000000-0000-0000-0000-000000000000", "status": "DISABLED", "type": "EMAIL"}
Retrieve information about a contact meanProduction
Path parameters
Contact mean ID
Response
Date at which the contact mean was created
Task to do on this contact mean
Is this the default contact mean
Arbitrary description for this contact mean
When type is EMAIL, the email address this contact mean uses
When status is ERROR, details about the error
Unique identifier of the contact mean
Status of the contact mean
DISABLEDERRORTO_VALIDATEVALIDType of the contact mean
EMAILExample uses contactMeanId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ notification/ contactMean/ {contactMeanId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "default": true, "description": "string", "email": "string", "error": "string", "id": "00000000-0000-0000-0000-000000000000", "status": "DISABLED", "type": "EMAIL"}
Update a contact meanProduction
Path parameters
Contact mean ID
Request body (required)
Date at which the contact mean was created
Task to do on this contact mean
Is this the default contact mean
Arbitrary description for this contact mean
When type is EMAIL, the email address this contact mean uses
When status is ERROR, details about the error
Unique identifier of the contact mean
Status of the contact mean
DISABLEDERRORTO_VALIDATEVALIDType of the contact mean
EMAILResponse
Date at which the contact mean was created
Task to do on this contact mean
Is this the default contact mean
Arbitrary description for this contact mean
When type is EMAIL, the email address this contact mean uses
When status is ERROR, details about the error
Unique identifier of the contact mean
Status of the contact mean
DISABLEDERRORTO_VALIDATEVALIDType of the contact mean
EMAILExample uses contactMeanId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ notification/ contactMean/ {contactMeanId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "default": true, "description": "string", "email": "string", "error": "string", "id": "00000000-0000-0000-0000-000000000000", "status": "DISABLED", "type": "EMAIL"}
Delete the contact meanProduction
Path parameters
Contact mean ID
Response
Example uses contactMeanId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ notification/ contactMean/ {contactMeanId} \
-H "authorization: Bearer $OVH_TOKEN"Restart the validation process for this contact mean, if you did not receive the OTPProduction
Path parameters
Contact mean ID
Response
Date at which the contact mean was created
Task to do on this contact mean
Is this the default contact mean
Arbitrary description for this contact mean
When type is EMAIL, the email address this contact mean uses
When status is ERROR, details about the error
Unique identifier of the contact mean
Status of the contact mean
DISABLEDERRORTO_VALIDATEVALIDType of the contact mean
EMAILExample uses contactMeanId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ notification/ contactMean/ {contactMeanId}/ restartValidation \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "default": true, "description": "string", "email": "string", "error": "string", "id": "00000000-0000-0000-0000-000000000000", "status": "DISABLED", "type": "EMAIL"}
Get the list of tasks on a contact meanProduction
Path parameters
Contact mean ID
Headers
Pagination cursor
Pagination size
Response
Creation date of the task
Errors that occurred on the task
Ending date of the task
Unique identifier of the task
Link to the related resource
Description of the task
Progress steps of the asynchronous operation
Starting date of the task
Current global status of the task
DONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUTType of the task
Last update of the task
Example uses contactMeanId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ notification/ contactMean/ {contactMeanId}/ task \
-H "authorization: Bearer $OVH_TOKEN"[ { "createdAt": "2024-01-01T12:00:00Z", "errors": [ { "message": "string" } ], "finishedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "link": "string", "message": "string", "progress": [ { "name": "string", "status": "DONE" } ], "startedAt": "2024-01-01T12:00:00Z", "status": "DONE", "type": "string", "updatedAt": "2024-01-01T12:00:00Z" }]
Get a task on a contact meanProduction
Path parameters
Contact mean ID
Task ID
Response
Creation date of the task
Errors that occurred on the task
Ending date of the task
Unique identifier of the task
Link to the related resource
Description of the task
Progress steps of the asynchronous operation
Starting date of the task
Current global status of the task
DONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUTType of the task
Last update of the task
Example uses contactMeanId = 00000000-0000-0000-0000-000000000000, taskId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ notification/ contactMean/ {contactMeanId}/ task/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "errors": [ { "message": "string" } ], "finishedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "link": "string", "message": "string", "progress": [ { "name": "string", "status": "DONE" } ], "startedAt": "2024-01-01T12:00:00Z", "status": "DONE", "type": "string", "updatedAt": "2024-01-01T12:00:00Z"}
Update a task on a contact meanProduction
Path parameters
Contact mean ID
Task ID
Request body (required)
Creation date of the task
Errors that occurred on the task
Ending date of the task
Unique identifier of the task
Contact mean task input
Link to the related resource
Description of the task
Progress steps of the asynchronous operation
Starting date of the task
Current global status of the task
DONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUTType of the task
Last update of the task
Response
Creation date of the task
Errors that occurred on the task
Ending date of the task
Unique identifier of the task
Link to the related resource
Description of the task
Progress steps of the asynchronous operation
Starting date of the task
Current global status of the task
DONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUTType of the task
Last update of the task
Example uses contactMeanId = 00000000-0000-0000-0000-000000000000, taskId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ notification/ contactMean/ {contactMeanId}/ task/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "errors": [ { "message": "string" } ], "finishedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "link": "string", "message": "string", "progress": [ { "name": "string", "status": "DONE" } ], "startedAt": "2024-01-01T12:00:00Z", "status": "DONE", "type": "string", "updatedAt": "2024-01-01T12:00:00Z"}
Validate this contact meanProduction
Path parameters
Contact mean ID
Request body (required)
The OTP received by your contact mean to validate it
Response
Date at which the contact mean was created
Task to do on this contact mean
Is this the default contact mean
Arbitrary description for this contact mean
When type is EMAIL, the email address this contact mean uses
When status is ERROR, details about the error
Unique identifier of the contact mean
Status of the contact mean
DISABLEDERRORTO_VALIDATEVALIDType of the contact mean
EMAILExample uses contactMeanId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ notification/ contactMean/ {contactMeanId}/ validate \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "default": true, "description": "string", "email": "string", "error": "string", "id": "00000000-0000-0000-0000-000000000000", "status": "DISABLED", "type": "EMAIL"}
Retrieve every notification sent to youProduction
Query parameters
Select notifications belonging to one of these categories
Select notifications created after this date
Select notifications created before this date
Select notifications matching one of these priorities
HIGHLOWMEDIUMSort by createdAt field. Defaults to DESC.
ASCDESCFilter notifications using tag filters
Select notifications which title contains this text
Add summary field to response
Headers
Pagination cursor
Pagination size
Response
Attachments linked to this notification
Categories of the notification
Contact attempts made for this notification
Date at which the notification was sent
HTML text of the notification
Unique identifier of the notification
Priority of the notification
HIGHLOWMEDIUMSummary of the notification
Tags of the notification
Raw text of the notification
Title of the notification
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v2/ notification/ history \
-H "authorization: Bearer $OVH_TOKEN"[ { "attachments": [ { "contentType": "string", "name": "string", "sizeBytes": 0, "url": "string" } ], "categories": [ "string" ], "contacts": [ { "error": "string", "id": "00000000-0000-0000-0000-000000000000", "sentAt": "2024-01-01T12:00:00Z", "status": "BOUNCED", "to": "string", "type": "EMAIL" } ], "createdAt": "2024-01-01T12:00:00Z", "html": "string", "id": "00000000-0000-0000-0000-000000000000", "priority": "HIGH", "summary": "string", "tags": { "key": "string" }, "text": "string", "title": "string" }]
Retrieve information about a notification sent to youProduction
Path parameters
Notification ID
Response
Attachments linked to this notification
Categories of the notification
Contact attempts made for this notification
Date at which the notification was sent
HTML text of the notification
Unique identifier of the notification
Priority of the notification
HIGHLOWMEDIUMSummary of the notification
Tags of the notification
Raw text of the notification
Title of the notification
Example uses notificationId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ notification/ history/ {notificationId} \
-H "authorization: Bearer $OVH_TOKEN"{ "attachments": [ { "contentType": "string", "name": "string", "sizeBytes": 0, "url": "string" } ], "categories": [ "string" ], "contacts": [ { "error": "string", "id": "00000000-0000-0000-0000-000000000000", "sentAt": "2024-01-01T12:00:00Z", "status": "BOUNCED", "to": "string", "type": "EMAIL" } ], "createdAt": "2024-01-01T12:00:00Z", "html": "string", "id": "00000000-0000-0000-0000-000000000000", "priority": "HIGH", "summary": "string", "tags": { "key": "string" }, "text": "string", "title": "string"}
Get a notification attachmentProduction
Path parameters
Attachment name
Notification ID
Response
Content type of the attachment
Name of the attachment
Size of the attachment in bytes
URL to use to download the attachment
Example uses attachmentName = string, notificationId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ notification/ history/ {notificationId}/ attachment/ {attachmentName} \
-H "authorization: Bearer $OVH_TOKEN"{ "contentType": "string", "name": "string", "sizeBytes": 0, "url": "string"}
Retrieve data referential for /notification endpointsProduction
Response
Available notification categories
Available notification priorities
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v2/ notification/ reference \
-H "authorization: Bearer $OVH_TOKEN"{ "categories": [ { "description": "string", "name": "string" } ], "priorities": [ { "description": "string", "name": "HIGH" } ]}
Retrieve every routingProduction
Headers
Pagination cursor
Pagination size
Response
Whether this routing is currently active
Date at which the routing was created
Unique identifier of the routing
Name of the routing
Type of the contact mean
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v2/ notification/ routing \
-H "authorization: Bearer $OVH_TOKEN"[ { "active": true, "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "rules": [ { "condition": { "category": [ "string" ], "priority": [ "string" ] }, "contactMeans": [ { "email": "string", "error": "string", "id": "00000000-0000-0000-0000-000000000000", "status": "DISABLED", "type": "EMAIL" } ], "continue": true } ] }]
Create a routingProduction
Request body (required)
Whether this routing is currently active
Name of the routing
Type of the contact mean
Response
Whether this routing is currently active
Date at which the routing was created
Unique identifier of the routing
Name of the routing
Type of the contact mean
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v2/ notification/ routing \
-H "authorization: Bearer $OVH_TOKEN"{ "active": true, "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "rules": [ { "condition": { "category": [ "string" ], "priority": [ "string" ] }, "contactMeans": [ { "email": "string", "error": "string", "id": "00000000-0000-0000-0000-000000000000", "status": "DISABLED", "type": "EMAIL" } ], "continue": true } ]}
Retrieve information about a routingProduction
Path parameters
Routing ID
Response
Whether this routing is currently active
Date at which the routing was created
Unique identifier of the routing
Name of the routing
Type of the contact mean
Example uses routingId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ notification/ routing/ {routingId} \
-H "authorization: Bearer $OVH_TOKEN"{ "active": true, "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "rules": [ { "condition": { "category": [ "string" ], "priority": [ "string" ] }, "contactMeans": [ { "email": "string", "error": "string", "id": "00000000-0000-0000-0000-000000000000", "status": "DISABLED", "type": "EMAIL" } ], "continue": true } ]}
Update a routingProduction
Path parameters
Routing ID
Request body (required)
Whether this routing is currently active
Date at which the routing was created
Unique identifier of the routing
Name of the routing
Type of the contact mean
Response
Whether this routing is currently active
Date at which the routing was created
Unique identifier of the routing
Name of the routing
Type of the contact mean
Example uses routingId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ notification/ routing/ {routingId} \
-H "authorization: Bearer $OVH_TOKEN"{ "active": true, "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "rules": [ { "condition": { "category": [ "string" ], "priority": [ "string" ] }, "contactMeans": [ { "email": "string", "error": "string", "id": "00000000-0000-0000-0000-000000000000", "status": "DISABLED", "type": "EMAIL" } ], "continue": true } ]}
Delete the routingProduction
Path parameters
Routing ID
Response
Example uses routingId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ notification/ routing/ {routingId} \
-H "authorization: Bearer $OVH_TOKEN"